Upgrade from 2.x to 3.x

More
7 months 1 week ago #162514 by RobertKn
RobertKn created the topic: Upgrade from 2.x to 3.x
How to Upgade !

It' not to find in comfort update!

Please Log in or Create an account to join the conversation.

More
7 months 1 week ago #162515 by jelo
jelo replied the topic: Upgrade from 2.x to 3.x
That's indented. Currently an 100% working upgrade from 2.X to 3.X is not possible.

Please Log in or Create an account to join the conversation.

More
7 months 1 week ago #162519 by RobertKn
RobertKn replied the topic: Upgrade from 2.x to 3.x
Will it be possible in the future!

Please Log in or Create an account to join the conversation.

More
7 months 1 week ago #162520 by jelo
jelo replied the topic: Upgrade from 2.x to 3.x
Yes.
The following user(s) said Thank You: LouisGac

Please Log in or Create an account to join the conversation.

More
7 months 4 days ago #162596 by ollehar
ollehar replied the topic: Upgrade from 2.x to 3.x
Thank you, Jelo, for providing this answer. I'm working on this problem right now.

Please Log in or Create an account to join the conversation.

More
6 months 1 week ago #163851 by macwinnie
macwinnie replied the topic: Upgrade from 2.x to 3.x
Hi olle,
Can you already estimate when this will go live?
That would be great, thanks!

Please Log in or Create an account to join the conversation.

More
6 months 1 week ago #163852 by ollehar
ollehar replied the topic: Upgrade from 2.x to 3.x
Hi,

As far as I can tell, we've removed the biggest problems with theme configuration etc, BUT it's still "do it on your own risk". Neither plugins or templates are compatible from 2 to 3. We still haven't decided a date for comfort update upgrade. It might take a couple of weeks, still.

Please Log in or Create an account to join the conversation.

More
6 months 1 week ago #163854 by holch
holch replied the topic: Upgrade from 2.x to 3.x
I would always recommend a parallel installation, when it comes to a major release. And then move to the new installation gradually.

Yes, this might be a bit of work if you have a lot of users/surveys.
But there are some important advantages:
- Current surveys will definitely not break and you can run them until the end with the old version.
- New surveys can be built in the new version, but if something goes wrong (e.g. bug, feature not working, etc.) you can export the survey and import it on the old platform as a fall back.
- You have a clean install and don't carry old weight with you.

The space a new installation requires is minor, I think. But you can reduce the risk of any problem quite a bit with this approach. And it doesn't cost you more (ok, you might use more 2x as much updates from your comfort update, but usually the number of available updates in the package allows you to update 2 installations without running into problems).

I'm not a LimeSurvey GmbH member. I answer at the LimeSurvey forum in my spare time. No support via private message.
Some helpful links: Manual (EN) | Question Types | Workarounds
The following user(s) said Thank You: LouisGac, markusfluer

Please Log in or Create an account to join the conversation.

More
2 months 5 days ago #169939 by blocka
blocka replied the topic: Upgrade from 2.x to 3.x
Is there now an upgrade path from latest 2.5.x build to 3.x, using Comfort Update?

Please Log in or Create an account to join the conversation.

More
2 months 5 days ago #169940 by holch
holch replied the topic: Upgrade from 2.x to 3.x
My 2.72 offers me an upgrade to 3.x via comfort Update, so I guess there is. Haven't tested it though, because I always install mayor new releases in parallel, as described above.

I'm not a LimeSurvey GmbH member. I answer at the LimeSurvey forum in my spare time. No support via private message.
Some helpful links: Manual (EN) | Question Types | Workarounds

Please Log in or Create an account to join the conversation.

More
2 months 5 days ago #169959 by blocka
blocka replied the topic: Upgrade from 2.x to 3.x
So I tried this on a sandbox copy of my 2.5 site, and the upgrade failed with the message:

You have an error inside your survey instance. See:

With nothing after the word "See", and upgrade didn't complete (but it didn't break LS either).

Please Log in or Create an account to join the conversation.

More
2 months 5 days ago #169964 by holch
holch replied the topic: Upgrade from 2.x to 3.x
What is the exact version of your 2.5 site?

I guess the safest way is to upgrade to the latest version of 2.x branch, which is 2.72, and then go from there. But as I said, I haven't used it yet, so I don't know if/how it works.

I'm not a LimeSurvey GmbH member. I answer at the LimeSurvey forum in my spare time. No support via private message.
Some helpful links: Manual (EN) | Question Types | Workarounds

Please Log in or Create an account to join the conversation.

More
2 months 5 days ago #169965 by blocka
blocka replied the topic: Upgrade from 2.x to 3.x
I'm running as follows:

$config = '2.73.1';
$config = 263;
$config = 171220;
$config = true;
$config = '2731';

Please Log in or Create an account to join the conversation.

More
2 months 5 days ago #169967 by holch
holch replied the topic: Upgrade from 2.x to 3.x
OK, this is actually the latest version of this branch, as far as I know.

As there is basically no real useful error message, finding the problem will be tricky. You might actually post the problem in the "comfort update" forum section or post a bug report.

Can you check what happens when you do a data integrity check?

I'm not a LimeSurvey GmbH member. I answer at the LimeSurvey forum in my spare time. No support via private message.
Some helpful links: Manual (EN) | Question Types | Workarounds

Please Log in or Create an account to join the conversation.

More
2 months 5 days ago - 2 months 5 days ago #169972 by blocka
blocka replied the topic: Upgrade from 2.x to 3.x
Data integrity check reported no issues.

The error message occurs at the step: File system

and no error_log is generated by PHP.

I have option of update to 3.0.0.-RC.3 (171113) or 3.12.1 (180616). I assume I can just go to 3.12.1 (or do I need 171113 first)?

Edit: Nope, tried the RC.3, Comfort Update just hangs.
Last Edit: 2 months 5 days ago by blocka.

Please Log in or Create an account to join the conversation.

Start now!

Just create your account and start using Limesurvey today.

Register now
Join our Newsletter!